Subject: Re: [dnsext] Wildcard expansion in DNS caches

From: "Jeffrey A. Williams" <[email-masked]>
Date: Wed, 24 Nov 2010 13:48:16 -0600 (GMT-06:00)

Chris and all,

-----Original Message-----
>From: Chris Thompson <[email-masked]>
>Sent: Nov 24, 2010 1:37 PM
>To: "John R. Levine" <[email-masked]>
>Cc: [email-masked]
>Subject: Re: [dnsext] Wildcard expansion in DNS caches
>
>On Nov 24 2010, John R. Levine wrote:
>
>>>> Do any caches do wildcard expansion?  Is anyone planning to do it?
>>>
>>> Caches cannot do the expansion.  A cache would have to have the entire zone 
>>> in it's memory to accurately apply the wild card rule.
>>
>>The authors of RFC 4035 disagree with you.  See section 4.5, particularly 
>>bullet 1 on page 22.
>
>Which says: yes, you could use such learned data to second-guess what
>is in the rest of the zone, but it's a bloody stupid idea. "Resolvers
>that follow this recommendation [i.e. not to do that] will have a more
>consistent view of the namespace."

  Well that's just bloody wonderful isn't it?  Perhaps
it would be a equally bloody wonderful thing if the RFC
were to better reflect that more clearly, eh?
>
>-- 
>Chris Thompson
>Email: [email-masked]
>_______________________________________________
>dnsext mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/dnsext

Regards,
Jeffrey A. Williams
"Obedience of the law is the greatest freedom" -
   Abraham Lincoln

"Credit should go with the performance of duty and not with what is very
often the accident of glory" - Theodore Roosevelt

"If the probability be called P; the injury, L; and the burden, B; liability
depends upon whether B is less than L multiplied by
P: i.e., whether B is less than PL."
United States v. Carroll Towing  (159 F.2d 169 [2d Cir. 1947]
===============================================================
Updated 1/26/04
Network Eng. SR. Eng. Network data security
ABA member in good standing member ID 01257402 
E-Mail [email-masked]
Phone: 214-244-4827